Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Auto_Functor.h File Reference

`#include "ace/config-all.h"`
`#include "ace/Global_Macros.h"`
`#include "ace/Auto_Functor.inl"`
`#include "ace/Auto_Functor.cpp"`

Include dependency graph for Auto_Functor.h:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | ACE_Utils
## Classes
struct | ACE_Utils::Auto_Functor_Ref< X, Functor >
| Helper class to implement assignment and copy-construction as expected. More...
class | ACE_Utils::Auto_Functor< X, Functor >
| Helper template to implement auto_ptr<>-like classes, but executing a functor in the destructor, instead of always deleting things. More...

## Detailed Description

Id
  Auto_Functor.h,v 1.2 2005/10/28 16:14:51 ossama Exp

Author:
  Carlos O'Ryan <coryan@atdesk.com>